[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetViewPortExtEx

Sets the extent of the viewport for a device context.

## Declaration

Source position: winapih.inc line 265

`public function TWidgetSet.SetViewPortExtEx(`
`DC: HDC;`
`XExtent: Integer;`
`YExtent: Integer;`
`OldSize: PSize`
`):Boolean; virtual;`

## Arguments

`DC` |  | The Device Context.
`XExtent` |  | The extent in device units.
`YExtent` |  | The extent in device units.
`OldSize` |  | Receives the previous extent, if not Nil.

## Function result

False on failure.

## See also

TWidgetSet.SetViewPortOrgEx |  | Sets the device origin corresponding to the window origin (0,0) in a device context.
TWidgetSet.SetWindowExtEx |  | Sets the extent of the window for an device context.